# Global variables

.global_variables:
  variables:
    APT_INSTALL: env DEBIAN_FRONTEND=noninteractive
      apt install -y

    YUM_INSTALL:
      value: yum -y install ${OS_REPOS}
      expand: true

    ZYPPER_INSTALL: zypper -tn install

    PKG_INSTALL: sudo pkg install -y

    RSYNC_MIRROR: >
      master-mirror.netify-backend.gcp::netify/builds/

    RSYNC_NETIFY:
      value: "master-mirror.netify-backend.gcp::\
              netify/builds/netify-agent/v${NETIFY_MINVER}/\
              ${OS_NAME}/${OS_VERSION}/${OS_ARCH_PATH}"
      expand: true

    RSYNC_NETIFY_PLM:
      value: "master-mirror.netify-backend.gcp::\
              netify/builds/netify-plm/v${NETIFY_PLM_MINVER}/\
              ${OS_NAME}/${OS_VERSION}/${OS_ARCH_PATH}"
      expand: true
